Scientific Linux Security Update : gd on SL4.x, SL5.x i386/x86_64

This script is Copyright (C) 2012 Tenable Network Security, Inc.


Synopsis :

The remote Scientific Linux host is missing one or more security
updates.

Description :

A missing input sanitization flaw, leading to a buffer overflow, was
discovered in the gd library. A specially-crafted GD image file could
cause an application using the gd library to crash or, possibly,
execute arbitrary code when opened. (CVE-2009-3546)

See also :

http://www.nessus.org/u?4c96ee2c

Solution :

Update the affected gd, gd-devel and / or gd-progs packages.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)

Family: Scientific Linux Local Security Checks

Nessus Plugin ID: 60714 ()

Bugtraq ID:

CVE ID: CVE-2009-3546